Name: phoenix-flatpak
Version: 202502181
Release: 1%{?dist}
Summary: Phoenix is a suite of configurations & advanced modifications for Mozilla Firefox, designed to put the user first - with a focus on privacy, security, freedom, & usability.
License: GPL-3.0-or-later+
URL: https://phoenix.celenity.dev
Source0: https://codeberg.org/celenity/Phoenix/raw/commit/c8c82545d3de8ecf94e0120595b5f06bcbcd3e5b/archives/phoenix.zip
BuildArch: noarch

BuildRequires: unzip

%description
Phoenix is a suite of configurations & advanced modifications for Mozilla Firefox, designed to put the user first - with a focus on privacy, security, freedom, & usability.

https://phoenix.celenity.dev

%prep
mkdir -p %{_tmppath}/phoenix
unzip -o %{SOURCE0} -d %{_tmppath}/phoenix

%install
mkdir -p %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/defaults/pref
mkdir -p %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/configs
mkdir -p %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/configs/ui-fix
mkdir -p %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs
mkdir -p %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/discord
mkdir -p %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/element
mkdir -p %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/extended
mkdir -p %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/twitter
mkdir -p %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/ui-fix
mkdir -p %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/ui-fix/discord
mkdir -p %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/ui-fix/element
mkdir -p %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/ui-fix/extended
mkdir -p %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/ui-fix/twitter
mkdir -p %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/ui-fix/youtube
mkdir -p %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/ui-fix-base
mkdir -p %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/youtube
mkdir -p %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/policies
mkdir -p %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/lib/firefox
mkdir -p %{buildroot}/usr/share/doc/phoenix-flatpak

install -m 644 %{_tmppath}/phoenix/configs/discord.cfg %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/configs/
install -m 644 %{_tmppath}/phoenix/configs/element.cfg %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/configs/
install -m 644 %{_tmppath}/phoenix/configs/hardened.cfg %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/configs/
install -m 644 %{_tmppath}/phoenix/configs/twitter.cfg %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/configs/
install -m 644 %{_tmppath}/phoenix/configs/ui-fix.cfg %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/configs/
install -m 644 %{_tmppath}/phoenix/configs/ui-fix/discord.cfg %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/configs/ui-fix/
install -m 644 %{_tmppath}/phoenix/configs/ui-fix/element.cfg %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/configs/ui-fix/
install -m 644 %{_tmppath}/phoenix/configs/ui-fix/hardened.cfg %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/configs/ui-fix/
install -m 644 %{_tmppath}/phoenix/configs/ui-fix/twitter.cfg %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/configs/ui-fix/
install -m 644 %{_tmppath}/phoenix/configs/ui-fix/youtube.cfg %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/configs/ui-fix/
install -m 644 %{_tmppath}/phoenix/configs/youtube.cfg %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/configs/
install -m 644 %{_tmppath}/phoenix/prefs/phoenix-desktop.js %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/defaults/pref/
install -m 644 %{_tmppath}/phoenix/phoenix.cfg %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/lib/firefox/
install -m 644 %{_tmppath}/phoenix/policies.json %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/policies/
install -m 644 %{_tmppath}/phoenix/userjs/linux/discord/user.js %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/discord/
install -m 644 %{_tmppath}/phoenix/userjs/linux/element/user.js %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/element/
install -m 644 %{_tmppath}/phoenix/userjs/linux/extended/user.js %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/extended/
install -m 644 %{_tmppath}/phoenix/userjs/linux/twitter/user.js %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/twitter/
install -m 644 %{_tmppath}/phoenix/userjs/linux/ui-fix/discord/user.js %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/ui-fix/discord/
install -m 644 %{_tmppath}/phoenix/userjs/linux/ui-fix/element/user.js %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/ui-fix/element/
install -m 644 %{_tmppath}/phoenix/userjs/linux/ui-fix/extended/user.js %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/ui-fix/extended/
install -m 644 %{_tmppath}/phoenix/userjs/linux/ui-fix/twitter/user.js %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/ui-fix/twitter/
install -m 644 %{_tmppath}/phoenix/userjs/linux/ui-fix/youtube/user.js %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/ui-fix/youtube/
install -m 644 %{_tmppath}/phoenix/userjs/linux/ui-fix-base/user.js %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/ui-fix-base/
install -m 644 %{_tmppath}/phoenix/userjs/linux/youtube/user.js %{buildroot}/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/youtube/
install -m 644 %{_tmppath}/phoenix/COPYING %{buildroot}/usr/share/doc/phoenix-flatpak/
install -m 644 %{_tmppath}/phoenix/README.md %{buildroot}/usr/share/doc/phoenix-flatpak/

%files
/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/defaults/pref/phoenix-desktop.js
/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/configs/discord.cfg
/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/configs/element.cfg
/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/configs/hardened.cfg
/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/configs/twitter.cfg
/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/configs/ui-fix.cfg
/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/configs/ui-fix/discord.cfg
/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/configs/ui-fix/element.cfg
/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/configs/ui-fix/hardened.cfg
/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/configs/ui-fix/twitter.cfg
/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/configs/ui-fix/youtube.cfg
/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/configs/youtube.cfg
/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/discord/user.js
/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/element/user.js
/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/extended/user.js
/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/twitter/user.js
/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/ui-fix/discord/user.js
/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/ui-fix/element/user.js
/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/ui-fix/extended/user.js
/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/ui-fix/twitter/user.js
/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/ui-fix/youtube/user.js
/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/ui-fix-base/user.js
/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/phoenix/userjs/youtube/user.js
/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/etc/firefox/policies/policies.json
/var/lib/flatpak/app/org.mozilla.firefox/current/active/files/lib/firefox/phoenix.cfg
/usr/share/doc/phoenix-flatpak/COPYING
/usr/share/doc/phoenix-flatpak/README.md

%changelog
* Tue Feb 18 2025 celenity <celenity@celenity.dev> - 2025.02.18.1-1
- Update to Phoenix 2025.02.18.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2024.02.18.1
